summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tl-update-txi
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2014-05-20 17:48:27 +0000
committerKarl Berry <karl@freefriends.org>2014-05-20 17:48:27 +0000
commit8134709f6bd41afd6d0e810d07e6f3ec89e50310 (patch)
tree91bd78c86f4d2fc7460053ca5c31b1ec3d679e34 /Master/tlpkg/bin/tl-update-txi
parent9965933ec3f007f4e1385724c4c3e1b131a237ee (diff)
update our texinfo manuals
git-svn-id: svn://tug.org/texlive/trunk@34145 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin/tl-update-txi')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-txi15
1 files changed, 12 insertions, 3 deletions
diff --git a/Master/tlpkg/bin/tl-update-txi b/Master/tlpkg/bin/tl-update-txi
index 37e1545f1f9..0b17e361ded 100755
--- a/Master/tlpkg/bin/tl-update-txi
+++ b/Master/tlpkg/bin/tl-update-txi
@@ -71,6 +71,15 @@ do_mf2pt1() {
}
#
+do_tlbuild() {
+ mypkg=tlbuild
+ cd $Build/source/doc || exit 1
+ MV=cp mvcp-if-change $mypkg.info $infodir/
+ $texihtml $mypkg.texi && mvcp-if-change $mypkg.html $docdir/texlive/$mypkg/
+ $texipdf $mypkg.texi && mv -v $mypkg.pdf $docdir/texlive/$mypkg/
+}
+
+#
do_web2c() {
mypkg=web2c
cd $xk/$mypkg/doc || exit 1
@@ -83,10 +92,10 @@ do_dvipng
do_dvips
do_fontname
do_kpathsea
-do_mf2pt1
+do_tlbuild
do_web2c
-
exit $?
# static: tds texdraw.
-# done as part of package update: asy eplain epspdf latex2e[-es] latex2man.
+# done as part of package update:
+# asy eplain epspdf latex2e[-es] latex2man mf2pt1.